# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "hotln"
version = "0.1.4"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "File bug reports to Linear from distributed applications"
readme = "README.md"
license = "Apache-2.0"
repository = "https://github.com/empathic/hotline"

[features]
cli = [
    "dep:clap",
    "dep:anyhow",
]

[lib]
name = "hotln"
path = "src/lib.rs"

[[bin]]
name = "hotln"
path = "src/main.rs"
required-features = ["cli"]

[dependencies.anyhow]
version = "1"
optional = true

[dependencies.base64]
version = "0.22"

[dependencies.clap]
version = "4"
features = [
    "derive",
    "env",
]
optional = true

[dependencies.serde_json]
version = "1"

[dependencies.thiserror]
version = "2"

[dependencies.tracing]
version = "0.1"

[dependencies.ureq]
version = "2"

[dev-dependencies.mockito]
version = "1"
